Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrInt Class Reference

A PangoAttrInt C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrInt:

List of all members.

## Public Member Functions

Accessors

- PangoAttrInt * pango_attr_int () const
    Get a pointer to the PangoAttrInt structure.
- int value () const
    Returns the integer value.

Methods

- void set_value (int value)
    Sets the integer value.

## Protected Member Functions

Constructors

- AttrInt (PangoAttribute *attr, bool copy)
    Construct a new integer attribute from an existing integer PangoAttribute.

## Detailed Description

A PangoAttrInt C++ wrapper class.

AttrInt is the base class for the integer attribute types: Style, Weight, Variant, Stretch, Size, Underline, Strikthrough and Rise.

## Constructor & Destructor Documentation

Xfc::Pango::AttrInt::AttrInt | ( | PangoAttribute * | attr,
|  | bool | copy
| ) | `[explicit, protected]`

Construct a new integer attribute from an existing integer PangoAttribute.

Parameters:

  | attr | An integer PangoAttribute.
  | copy | Set true if a copy of attr should be used.

If copy is true attr is copied. If false attr is assumed to be a valid integer attribute that must be freed. Either way AttrInt will own the PangoAttribute and free it when it's no longer required.

## Member Function Documentation

void Xfc::Pango::AttrInt::set_value | ( | int | value | ) |

Sets the integer value.

Parameters:

  | value | The new value.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3